### Method

# Ggit Repository blame_file

#### Declaration [src]

    GgitBlame*
    ggit_repository_blame_file (
      GgitRepository* repository,
      GFile* file,
      GgitBlameOptions* blame_options,
      GError** error
    )

#### Description [src]

Get a blame for a single file.

#### Parameters

`file`

  Type: `GFile`

  The file to blame.

  The data is owned by the caller of the method.

`blame_options`

  Type: `GgitBlameOptions`

  Blame options.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitBlame`

A `GgitBlame`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.